Loading...
Searching...
No Matches
ojph::image_out_base Class Referenceabstract

`#include <ojph_img_io.h>`

Inheritance diagram for ojph::image_out_base:

## Public Member Functions

virtual | ~image_out_base ()
virtual ui32 | write (const line_buf *line, ui32 comp_num)=0
virtual void | close ()

## Detailed Description

Definition at line 575 of file ojph_img_io.h.

## Constructor & Destructor Documentation

## ~image_out_base()

virtual ojph::image_out_base::~image_out_base | ( |  | ) |

inline virtual

Definition at line 578 of file ojph_img_io.h.

## Member Function Documentation

## close()

virtual void ojph::image_out_base::close | ( |  | ) |

inline virtual

Reimplemented in ojph::pfm_out, ojph::ppm_out, ojph::raw_out, and ojph::yuv_out.

Definition at line 580 of file ojph_img_io.h.

Referenced by main().

## write()

virtual ui32 ojph::image_out_base::write | ( | const line_buf * | line,
|  | ui32 | comp_num )

pure virtual

Implemented in ojph::pfm_out, ojph::ppm_out, ojph::raw_out, and ojph::yuv_out.

Referenced by main().

The documentation for this class was generated from the following file:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/apps/common/ojph_img_io.h